problem: !SequentialCoupling
  description: 'Tutorial problem: Transport 1D-2D (convection, dual porosity, sorption,
    sources).'
  mesh:
    mesh_file: ./input/mesh_with_boundary.msh
    sets:
      - name: 1d_domain
        region_labels:
          - 1d_upper
          - 1d_lower
          - 1d_left_branch
  # mesh
  primary_equation: !Steady_MH
    input_fields:
      - r_set: 1d_domain
        conductivity: 1.0e-06
        cross_section: 0.04
        sigma: 0.9
      - region: 2d
        conductivity: 1.0e-07
      - r_set: BOUNDARY
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: x+y
    output:
      output_stream:
        file: flow.pvd
        format: !vtk
          variant: ascii
      output_fields:
        - pressure_p0
        - pressure_p1
        - velocity_p0
    balance: true
    solver: !Petsc
      a_tol: 1.0e-12
      r_tol: 1.0e-12
  # primary equation
  secondary_equation: !TransportOperatorSplitting
    substances:
      - name: age
        molar_mass: 0.018
      # water age
      - name: U235
        molar_mass: 0.235
      # uranium 235
    input_fields:
      - r_set: ALL
        init_conc: 0
        porosity: 0.25
        sources_density:
          - 0.25
          - 0
        # source is in the whole volume (l+s) -> times porosity
      - r_set: BOUNDARY
        bc_conc:
          - 0.0
          - 1.0
    time:
      end_time: 1000000.0
    balance:
      cumulative: true
    reaction_term: !DualPorosity
      input_fields:
        - r_set: ALL
          diffusion_rate_immobile:
            - 0.01
            - 0.01
          porosity_immobile: 0.25
          init_conc_immobile:
            - 0.0
            - 0.0
      output_fields: []
      reaction_mobile: !SorptionMobile
        solvent_density: 1000.0
        # water
        substances:
          - age
          - U235
        solubility:
          - 1.0
          - 1.0
        input_fields: &anchor1
          - r_set: ALL
            rock_density: 2800.0
            # granit
            sorption_type:
              - none
              - freundlich
            isotherm_mult:
              - 0
              - 0.68
            isotherm_other:
              - 0
              - 1.0
        output_fields: []
      reaction_immobile: !SorptionImmobile
        solvent_density: 1000.0
        # water
        substances:
          - age
          - U235
        solubility:
          - 1.0
          - 1.0
        input_fields: *anchor1
        output_fields: []
    output_stream:
      file: transport.pvd
      format: !vtk
        variant: ascii
      time_step: 100000.0
  # secondary_equation
# problem